Package org.eclipse.birt.chart.model.type.impl

# Class StockSeriesImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.component.impl.SeriesImpl
org.eclipse.birt.chart.model.type.impl.StockSeriesImpl

All Implemented Interfaces:
  `Series`, `IChartObject`, `StockSeries`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class StockSeriesImpl extends SeriesImpl implements StockSeries
An implementation of the model object ' Stock Series'.

The following features are implemented:

- `Fill`
- `Line Attributes`
- `Show As Bar Stick`
- `Stick Length`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain`
`basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)`
`final boolean`
`canParticipateInCombination()`
This method should return true if the series type can be used in a combination chart.
`boolean`
`canShareAxisUnit()`
Indicates if this series graphic element may share a scale unit with other similar elements.
`StockSeries`
`copyInstance()`
`static final Series`
`create()`
A convenience method to create an initialized 'Series' instance NOTE: Manually written
`static final Series`
`createDefault()`
A convenience method to create an initialized 'Series' instance NOTE: Manually written
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain`
`eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`int[]`
`getDefinedDataDefinitionIndex()`
Returns the index array of data definitions which must be defined.
`String`
`getDisplayName()`
This method should return a user-friendly name for the series type.
`Fill`
`getFill()`
`LineAttributes`
`getLineAttributes()`
`int`
`getStickLength()`
`boolean`
`isSetShowAsBarStick()`
`boolean`
`isSetStickLength()`
`boolean`
`isShowAsBarStick()`
`void`
`setFill(Fill newFill)`
`void`
`setLineAttributes(LineAttributes newLineAttributes)`
`void`
`setShowAsBarStick(boolean newShowAsBarStick)`
`void`
`setStickLength(int newStickLength)`
`String`
`toString()`
`void`
`translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary.
`void`
`unsetShowAsBarStick()`
`void`
`unsetStickLength()`

### Methods inherited from class org.eclipse.birt.chart.model.component.impl.SeriesImpl

`basicSetCursor, basicSetCurveFitting, basicSetDataPoint, basicSetLabel, canBeStacked, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.birt.chart.model.component.Series

`canBeStacked, getCursor, getCurveFitting, getDataDefinition, getDataPoint, getDataSet, getDataSet, getDataSets, getLabel, getLabelPosition, getLabelPositionScope, getSeriesIdentifier, getTriggers, isSetLabelPosition, isSetStacked, isSetTranslucent, isSetVisible, isSingleCache, isStacked, isTranslucent, isVisible, setCursor, setCurveFitting, setDataPoint, setDataSet, setDataSet, setLabel, setLabelPosition, setSeriesIdentifier, setStacked, setTranslucent, setVisible, unsetLabelPosition, unsetStacked, unsetTranslucent, unsetVisible`

## Method Details

### getFill

public Fill getFill()

Specified by:
  `getFill` in interface `StockSeries`
Returns:
  the value of the 'Fill' containment reference.
See Also:
  - `StockSeries.setFill(Fill)`
  - `TypePackage.getStockSeries_Fill()`

### basicSetFill

public org.eclipse.emf.common.notify.NotificationChain basicSetFill(Fill newFill, org.eclipse.emf.common.notify.NotificationChain msgs)

### setFill

public void setFill(Fill newFill)

Specified by:
  `setFill` in interface `StockSeries`
Parameters:
  `newFill` - the new value of the 'Fill' containment reference.
See Also:
  - `StockSeries.getFill()`

### getLineAttributes

public LineAttributes getLineAttributes()

Specified by:
  `getLineAttributes` in interface `StockSeries`
Returns:
  the value of the 'Line Attributes' containment reference.
See Also:
  - `StockSeries.setLineAttributes(LineAttributes)`
  - `TypePackage.getStockSeries_LineAttributes()`

### basicSetLineAttributes

public org.eclipse.emf.common.notify.NotificationChain basicSetLineAttributes(LineAttributes newLineAttributes, org.eclipse.emf.common.notify.NotificationChain msgs)

### setLineAttributes

public void setLineAttributes(LineAttributes newLineAttributes)

Specified by:
  `setLineAttributes` in interface `StockSeries`
Parameters:
  `newLineAttributes` - the new value of the 'Line Attributes' containment reference.
See Also:
  - `StockSeries.getLineAttributes()`

### isShowAsBarStick

public boolean isShowAsBarStick()

Specified by:
  `isShowAsBarStick` in interface `StockSeries`
Returns:
  the value of the 'Show As Bar Stick' attribute.
See Also:
  - `StockSeries.isSetShowAsBarStick()`
  - `StockSeries.unsetShowAsBarStick()`
  - `StockSeries.setShowAsBarStick(boolean)`
  - `TypePackage.getStockSeries_ShowAsBarStick()`

### setShowAsBarStick

public void setShowAsBarStick(boolean newShowAsBarStick)

Specified by:
  `setShowAsBarStick` in interface `StockSeries`
Parameters:
  `newShowAsBarStick` - the new value of the 'Show As Bar Stick' attribute.
See Also:
  - `StockSeries.isSetShowAsBarStick()`
  - `StockSeries.unsetShowAsBarStick()`
  - `StockSeries.isShowAsBarStick()`

### unsetShowAsBarStick

public void unsetShowAsBarStick()

Specified by:
  `unsetShowAsBarStick` in interface `StockSeries`
See Also:
  - `StockSeries.isSetShowAsBarStick()`
  - `StockSeries.isShowAsBarStick()`
  - `StockSeries.setShowAsBarStick(boolean)`

### isSetShowAsBarStick

public boolean isSetShowAsBarStick()

Specified by:
  `isSetShowAsBarStick` in interface `StockSeries`
Returns:
  whether the value of the 'Show As Bar Stick' attribute is set.
See Also:
  - `StockSeries.unsetShowAsBarStick()`
  - `StockSeries.isShowAsBarStick()`
  - `StockSeries.setShowAsBarStick(boolean)`

### getStickLength

public int getStickLength()

Specified by:
  `getStickLength` in interface `StockSeries`
Returns:
  the value of the 'Stick Length' attribute.
See Also:
  - `StockSeries.isSetStickLength()`
  - `StockSeries.unsetStickLength()`
  - `StockSeries.setStickLength(int)`
  - `TypePackage.getStockSeries_StickLength()`

### setStickLength

public void setStickLength(int newStickLength)

Specified by:
  `setStickLength` in interface `StockSeries`
Parameters:
  `newStickLength` - the new value of the 'Stick Length' attribute.
See Also:
  - `StockSeries.isSetStickLength()`
  - `StockSeries.unsetStickLength()`
  - `StockSeries.getStickLength()`

### unsetStickLength

public void unsetStickLength()

Specified by:
  `unsetStickLength` in interface `StockSeries`
See Also:
  - `StockSeries.isSetStickLength()`
  - `StockSeries.getStickLength()`
  - `StockSeries.setStickLength(int)`

### isSetStickLength

public boolean isSetStickLength()

Specified by:
  `isSetStickLength` in interface `StockSeries`
Returns:
  whether the value of the 'Stick Length' attribute is set.
See Also:
  - `StockSeries.unsetStickLength()`
  - `StockSeries.getStickLength()`
  - `StockSeries.setStickLength(int)`

### eInverseRemove

public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `SeriesImpl`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `SeriesImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `SeriesImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `SeriesImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `SeriesImpl`

### toString

public String toString()

Overrides:
  `toString` in class `SeriesImpl`

### canParticipateInCombination

public final boolean canParticipateInCombination()
Description copied from interface: `Series`
This method should return true if the series type can be used in a combination chart. NOTE: Manually written

Specified by:
  `canParticipateInCombination` in interface `Series`
Overrides:
  `canParticipateInCombination` in class `SeriesImpl`
Returns:
  true means this series can be used in combination chart

### translateFrom

public void translateFrom(Series series, int iSeriesDefinitionIndex, Chart chart)
Description copied from interface: `Series`
This method should modify the series instance to extract whatever information it can from the series provided...updating the model if necessary. This method should be overridden by each series type implementation in particular if the series type can participate in a combination. It will be called when converting from one series type to another. The iSeriesDefinitionIndex value is the index of the series definition among all series definitions at the same level (base or orthogonal) NOTE: Manually written

Specified by:
  `translateFrom` in interface `Series`
Overrides:
  `translateFrom` in class `SeriesImpl`

### canShareAxisUnit

public boolean canShareAxisUnit()
Description copied from interface: `Series`
Indicates if this series graphic element may share a scale unit with other similar elements. NOTE: Manually written

Specified by:
  `canShareAxisUnit` in interface `Series`
Overrides:
  `canShareAxisUnit` in class `SeriesImpl`
Returns:
  true means this series can share scale unit

### create

public static final Series create()
A convenience method to create an initialized 'Series' instance NOTE: Manually written

### createDefault

public static final Series createDefault()
A convenience method to create an initialized 'Series' instance NOTE: Manually written

### getDisplayName

public String getDisplayName()
Description copied from interface: `Series`
This method should return a user-friendly name for the series type. NOTE: Manually written

Specified by:
  `getDisplayName` in interface `Series`
Overrides:
  `getDisplayName` in class `SeriesImpl`
Returns:
  display name for the series type

### copyInstance

public StockSeries copyInstance()

Specified by:
  `copyInstance` in interface `IChartObject`
Specified by:
  `copyInstance` in interface `Series`
Specified by:
  `copyInstance` in interface `StockSeries`
Overrides:
  `copyInstance` in class `SeriesImpl`

### getDefinedDataDefinitionIndex

public int[] getDefinedDataDefinitionIndex()
Description copied from interface: `Series`
Returns the index array of data definitions which must be defined. For instance, if there are two data definitions in series, and the first one can be not defined, this method will return 1 in integer array; if two of them must be defined, this method will return 0 and 1 in integer array.

Specified by:
  `getDefinedDataDefinitionIndex` in interface `Series`
Overrides:
  `getDefinedDataDefinitionIndex` in class `SeriesImpl`
Returns:
  index array